odoo.define("cgscop_partner.AbstractWebClient", function (require) {
    "use strict";

    var AbstractWebClient = require("web.AbstractWebClient");
    var session = require("web.session");

    AbstractWebClient.include({
        /**
         * @override
         * Ajoute l'UR courante dans le contexte utilisateur
         */
        start: function () {
            var parent = this._super.apply(this, arguments);
            const companyID = session.user_context.allowed_company_ids[0];
            session.user_context.current_ur_id = session.ur_company[companyID]
                ? session.ur_company[companyID]
                : session.ur_id;
            return parent;
        },
    });
});
